﻿<script type="text/html" id="temp-nav-left">
    <ul class="app-center-list" data-bind="foreach: $data">
        <li data-bind="css: { 'nav-left-current': current }">
            <a data-bind="attr: { href: href }"><img data-bind="attr: { src: src }" height="50" width="50" /></a>
        </li>
    </ul>
</script>
<script type="text/html" id="temp-item">
    <label data-bind="text: $data.data.name() + ':', toolTip: $data.data.description"></label>
    <select class="app-select item-select" data-bind="options: $data.invs, optionsText: function (inv) { return inv.Item().Name(); }, optionsValue: 'InventoryId',
        value: $data.data.value, optionsCaption: 'Choose...', 
        select2: { formatResultCssClass: 'app-selectresult', dropdownCssClass: 'app-dropdown', formatResult: $parents[1].itemSelectFormat,
            formatSelection: $parents[1].itemResultFormat, dropdownAutoWidth: true
        }"></select>
</script>
<script type="text/html" id="temp-value">
    <label class="build-statlabel inline-block" data-bind="text: name() + ':', toolTip: description"></label>
    <span class="build-statvalue inline-block" data-bind="text: value"></span>
</script>
<script type="text/html" id="temp-stat">
    <!-- ko template: { name: 'temp-value', data: $data } --><!-- /ko -->
    <div class="build-statbuttons inline-block">
        <button class="app-button build-down" data-bind="click: down, enable: canDown">-</button>
        <button class="app-button build-up" data-bind="click: up, enable: canUp">+</button>
    </div>
</script>
<script type="text/html" id="temp-wpf">
    <!-- ko template: { name: 'temp-value', data: $data } --><!-- /ko -->
    <div class="build-statbuttons inline-block">
        <button class="app-button build-down" data-bind="holdClick: down, enable: canDown">-</button>
        <button class="app-button build-up" data-bind="holdClick: up, enable: canUp">+</button>
    </div>
</script>

<script type="text/html" id="temp-button">
    <li class="inline-block app-action" data-bind="click: $parent.currentButton">
        <img class="shop-icon" alt="" width="50" height="50" data-bind="attr: { src: '/Content/images/shop/' + icon(), alt: text }, css: { selected: $parent.currentButton() == $data }" />
    </li>
</script>

<script type="text/html" id="item-melee">
    <!-- ko if: Difficulty --><li><label>Difficulty: </label><span data-bind="text: Difficulty"></span></li><!-- /ko -->
    <li><label>Hit points: </label><span data-bind="text: HitPoint"></span></li>
    <li><label>Reach: </label><span data-bind="text: Length"></span></li>
    <li><label>Weight: </label><span data-bind="text: Weight"></span></li>
    <li><label>Speed: </label><span data-bind="text: Speed"></span></li>
    <!-- ko if: Thrust() --><li><label>Thrust: </label><span data-bind="text: Thrust() + ' ' + boe.models.damageTypes[ThrustType()]"></span></li><!-- /ko -->
    <!-- ko if: Swing() --><li><label>Swing: </label><span data-bind="text: Swing() + ' ' + boe.models.damageTypes[SwingType()]"></span></li><!-- /ko -->
    <li><label>Slot: </label><span data-bind="text: boe.models.slots[Slot()]"></span></li>
    <!-- ko if: HorseBack() --><li class="item-prop">Can't be used on horseback</li><!-- /ko -->
    <!-- ko if: BonusShield() --><li class="item-prop">Bonus against shield</li><!-- /ko -->
    <!-- ko if: Unbalanced() --><li class="item-prop">Unbalanced</li><!-- /ko -->
    <!-- ko if: Knockdown() --><li class="item-prop">Knockdown</li><!-- /ko -->
    <!-- ko if: Couchable() --><li class="item-prop">Couchable</li><!-- /ko -->
    <!-- ko if: SecondaryId() --><li class="item-prop">Secondary</li><!-- /ko -->
</script>

<script type="text/html" id="item-armor">
    <!-- ko if: Difficulty --><li><label>Difficulty: </label><span data-bind="text: Difficulty"></span></li><!-- /ko -->
    <li><label>Hit points: </label><span data-bind="text: HitPoint"></span></li>
    <li><label>Weight: </label><span data-bind="text: Weight()"></span></li>
    <!-- ko if: Head() --><li><label>Head armor: </label><span data-bind="text: Head()"></span></li><!-- /ko -->
    <!-- ko if: Body() --><li><label>Body armor: </label><span data-bind="text: Body()"></span></li><!-- /ko -->
    <!-- ko if: Foot() --><li><label>Foot armor: </label><span data-bind="text: Foot()"></span></li><!-- /ko -->
</script>

<script type="text/html" id="item-ranged">
    <!-- ko if: Difficulty --><li><label>Difficulty: </label><span data-bind="text: Difficulty"></span></li><!-- /ko -->
    <li><label>Hit points: </label><span data-bind="text: HitPoint"></span></li>
    <li><label>Weight: </label><span data-bind="text: Weight()"></span></li>
    <li><label>Speed: </label><span data-bind="text: Speed()"></span></li>
    <li><label>Missile speed: </label><span data-bind="text: Math.round(MissileSpeed() * 1.2 * 10) / 10 "></span></li>
    <!-- ko if: Type() == boe.models.itemType.Throwing --><li><label>Ammo: </label><span data-bind="text: Ammo()"></span></li><!-- /ko -->
    <li><label>Damage: </label><span data-bind="text: Thrust() + ' ' + boe.models.damageTypes[ThrustType()]"></span></li>
    <li><label>Accuracy: </label><span data-bind="text: Accuracy()"></span></li>
    <li><label>Slot: </label><span data-bind="text: boe.models.slots[Slot()]"></span></li>
    <!-- ko if: HorseBack() --><li class="item-prop">Can't be used on horseback</li><!-- /ko -->
    <!-- ko if: BonusShield() --><li class="item-prop">Bonus against shield</li><!-- /ko -->
    <!-- ko if: SecondaryId() --><li class="item-prop">Secondary</li><!-- /ko -->
</script>

<script type="text/html" id="item-ammo">
    <!-- ko if: Difficulty --><li><label>Difficulty: </label><span data-bind="text: Difficulty"></span></li><!-- /ko -->
    <li><label>Weight: </label><span data-bind="text: Weight"></span></li>
    <li><label>Damage: </label><span data-bind="text: Thrust() + ' ' + boe.models.damageTypes[ThrustType()]"></span></li>
    <li><label>Ammo: </label><span data-bind="text: Ammo"></span></li>
    <li><label>Slot: </label><span data-bind="text: boe.models.slots[Slot()]"></span></li>
    <!-- ko if: Knockdown() --><li class="item-prop">Knockdown</li><!-- /ko -->
</script>

<script type="text/html" id="item-horse">
    <!-- ko if: Difficulty --><li><label>Difficulty: </label><span data-bind="text: Difficulty"></span></li><!-- /ko -->
    <li><label>Hit points: </label><span data-bind="text: HitPoint"></span></li>
    <li><label>Armor: </label><span data-bind="text: Armor"></span></li>
    <li><label>Speed: </label><span data-bind="text: Speed"></span></li>
    <li><label>Maneuver: </label><span data-bind="text: Maneuver"></span></li>
    <li><label>Charge: </label><span data-bind="text: Charge"></span></li>
</script>

<script type="text/html" id="item-shield">
    <!-- ko if: Difficulty --><li><label>Difficulty: </label><span data-bind="text: Difficulty"></span></li><!-- /ko -->
    <li><label>Weight: </label><span data-bind="text: Weight()"></span></li>
    <li><label>Hit points: </label><span data-bind="text: HitPoint()"></span></li>
    <li><label>Armor: </label><span data-bind="text: Armor()"></span></li>
    <li><label>Speed: </label><span data-bind="text: Speed()"></span></li>
    <li><label>Thrust: </label><span data-bind="text: Thrust() + ' ' + boe.models.damageTypes[ThrustType()]"></span></li>
    <li><label>Width: </label><span data-bind="text: Width()"></span></li>
    <li><label>Height: </label><span data-bind="text: Height()"></span></li>
    <!-- ko if: HorseBack() --><li class="item-prop">Can't be used on horseback</li><!-- /ko -->
</script>

<script type="text/html" id="item-goods">
    <li><label>Description: </label><p data-bind="text: Description()"></p></li>
</script>